Đến nội dung


Hình ảnh
- - - - -

Lisp Vẽ Đường Line Tự Động Có Thêm Số Thứ Tự


  • Please log in to reply
2 replies to this topic

#1 sutuochua

sutuochua

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 01 February 2016 - 09:39 AM

Kính chào anh em trong diễn đàn!

Nhân dịp trước thềm năm mới xin kính chúc anh em diễn đàn cadviet được dồi dào sức khỏe, vạn sự như ý!

Mình đang làm kiểm tra khối lượng từ bản vẽ autocad, mình muốn tạo 1 cái tiện ích là ví dụ mỗi khi mình vẽ đường line ngụ ý là kiểm tra số lượng móng (như trong bản vẽ đính kèm), thì tự động sẽ có thêm 1 con số thứ tự ghi chú, vì đếm với số lượng nhiều sẽ dễ bị nhầm.

Anh em nào trong diễn đàn biết xin giúp đỡ mình

Xin cảm ơn rất nhiều !

http://www.cadviet.c...oi_dien_dan.dwg


  • -1

#2 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 01 February 2016 - 10:48 AM

đây nè bạn, line và text theo dúng layer của bản vẽ mẫu, textstyle  theo hiện hữu

(defun c:ktr (/ p1 p2 stx)
  (or num (setq num 1))
  (setq
    num	(cond ((getint
		 (strcat "\nSo thu tu bat dau <" (rtos num 2 0) ">: ")
	       )
	      )
	      (num)
	)
  )
  (while (and (setq p1 (getpoint "\nDiem dau: ")
		    p2 (getpoint "\nDiem cuoi: " p1)
	      )
	      (setq stx	(ssget "f" (list p1 p2) (list (cons 0 "text,mtext"))))
	 )
    (entmakex (list '(0 . "LINE")
		    (cons 8 "NET KIEM")
		    (cons 10 P1)
		    (cons 11 P2)
	      )
    )
    (entmakex (list '(0 . "TEXT")
		    (cons 8 "TCHU")
		    (cons 10 p1)
		    (cons 40 (* (cdr(assoc 40 (entget(ssname stx 0)))) 0.5))
		    (cons 1 (rtos num 2 0))
	      )
    )
    (setq num (1+ num))
  )

  (princ)
)

  • 1

#3 sutuochua

sutuochua

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 01 February 2016 - 01:02 PM

Quá tuyệt !

xin cảm ơn Tien 2005 rất nhiều!


  • 0